# Skeleton

A skeleton is a form of a loading component that can show a placeholder while data is received.

## Variants

There are three variants that you can use for a skeleton. You can use a circle, text or a rectangle. You can also define the height and width of the skeleton.

```powershell
New-UDSkeleton
New-UDSkeleton -Variant circle -Width 40 -Height 40
New-UDSkeleton -Variant rect -Width 210 -Height 118
```

![Skeletons](https://620394196-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M6jY7sXTmhiAIMGYw_m%2F-MT45wbnXKXcXOSftdTn%2F-MT47ceMQCosjP6sCc2h%2Fimage.png?alt=media\&token=dea677ce-3c26-42c6-9214-b7e17b915262)

## Animations

Skeletons will use the pulsate animation by default. You can also disable animation or use a wave animation.

```powershell
New-UDSkeleton
New-UDSkeleton -Animation disabled
New-UDSkeleton -Animation wave
```

![Animations](https://620394196-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M6jY7sXTmhiAIMGYw_m%2F-MT45wbnXKXcXOSftdTn%2F-MT48RktevskG31dtFKZ%2Fanimation.gif?alt=media\&token=9184b459-d5d4-41dd-b44d-79d91097896f)

## API

* [New-UDSkeleton](https://github.com/ironmansoftware/universal-docs/blob/master/cmdlets/New-UDSkeleton.txt)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powershelluniversal.com/v3/userinterfaces/dashboards/components/feedback/skeleton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
